gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[taler-exchange] branch master updated: -run fetch-transactions in audit


From: gnunet
Subject: [taler-exchange] branch master updated: -run fetch-transactions in auditor test to avoid non-deterministic failure
Date: Tue, 17 Jan 2023 15:33:39 +0100

This is an automated email from the git hooks/post-receive script.

grothoff pushed a commit to branch master
in repository exchange.

The following commit(s) were added to refs/heads/master by this push:
     new abb692f0 -run fetch-transactions in auditor test to avoid 
non-deterministic failure
abb692f0 is described below

commit abb692f02dfc3c69b6545f7eb69552c0a047c3a2
Author: Christian Grothoff <christian@grothoff.org>
AuthorDate: Tue Jan 17 15:33:36 2023 +0100

    -run fetch-transactions in auditor test to avoid non-deterministic failure
---
 src/auditor/test-auditor.sh | 14 +++++++++-----
 1 file changed, 9 insertions(+), 5 deletions(-)

diff --git a/src/auditor/test-auditor.sh b/src/auditor/test-auditor.sh
index 60cc00bd..7f4ec1ca 100755
--- a/src/auditor/test-auditor.sh
+++ b/src/auditor/test-auditor.sh
@@ -301,9 +301,9 @@ function run_audit () {
         echo -n "Running taler-exchange-offline drain "
 
         taler-exchange-offline -L DEBUG -c "${CONF}" \
-                               drain TESTKUDOS:0.1 exchange-account-1 
payto://iban/SANDBOXX/DE360679?receiver-name=Exchange+Drain \
-                               upload \
-                               2> 
${MY_TMP_DIR}/taler-exchange-offline-drain.log || exit_fail "offline draining 
failed"
+          drain TESTKUDOS:0.1 exchange-account-1 
payto://iban/SANDBOXX/DE360679?receiver-name=Exchange+Drain \
+          upload \
+          2> ${MY_TMP_DIR}/taler-exchange-offline-drain.log || exit_fail 
"offline draining failed"
         kill -TERM $EPID
         wait $EPID || true
         unset EPID
@@ -325,11 +325,15 @@ function run_audit () {
             echo -n "Payment likely already submitted, running submit-payments 
without UUID anyway ..."
             libeufin-cli accounts submit-payments exchange-nexus
         else
-            echo -n "Running submitting payment ${PAIN_UUID} ..."
+            echo -n "Running payment submission for transaction ${PAIN_UUID} 
..."
             libeufin-cli accounts submit-payments --payment-uuid ${PAIN_UUID} 
exchange-nexus
         fi
-        cd $ORIGIN
         echo " DONE"
+        echo -n "Import outgoing transactions..."
+        libeufin-cli accounts fetch-transactions \
+           --range-type since-last --level report exchange-nexus
+        echo " DONE"
+        cd $ORIGIN
     fi
     audit_only
     post_audit

-- 
To stop receiving notification emails like this one, please contact
gnunet@gnunet.org.



reply via email to

[Prev in Thread] Current Thread [Next in Thread]